Subject: bug#35379: Long lines in `guix` output are truncated at screen width

From: rendaw <[email-masked]>
Date: Tue, 23 Apr 2019 00:55:57 +0900

I get logs like:

/gnu/store/6zkimxsfyn0gdc7p4ikxlrhilpnpblsi-grub-efi-2.02/sbin/grub-install:
error:
/gnu/store/6zkimxsfyn0gdc7p4ikxlrhilpnpblsi-grub-efi-2.02/lib/grub/i386-pc/modinfo.sh
doesn't exist. Please spe.

cut off neatly with a period at the edge of the console.  I'm not sure I
lost important information here, but I have in other places (ex: using
`display` to show a value).

Via a suggestion from nckx I exported `COLUMNS=`, but this gets reset at
some point during the build - I think qemu or something resets the
terminal state (very vague speculation here).

IMO long lines should only be truncated if explicitly requested - it's
easy to truncate at the CLI but impossible to restore data lost via
truncation after all.